%define name 	mpd
%define version 0.11.4
%define rel		2

%define build_plf 0
%{?_with_plf: %{expand: %%define build_plf 1}}

%if %build_plf  
%define release %{rel}plf
%else
%define release %{rel}mdk
%endif


Summary:		MPD, the Music Player Daemon
Name:			%name
Version:		%version
Release:		%release
License:		GPL
Group:			Sound
URL:			http://www.musicpd.org/
Source:			%{name}-%{version}.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libao-devel
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libflac-devel libflac++-devel
BuildRequires:	libaudiofile-devel
BuildRequires:	libmikmod-devel
BuildRequires:	libmad-devel
BuildRequires:	libid3tag-devel
%if %build_plf
BuildRequires:	libfaad2_0-devel

%description
Music Player Daemon (MPD) allows remote access for playing music (MP3, Ogg
Vorbis, FLAC, Mod, and wave files) and managing playlists. MPD is designed
for integrating a computer into a stereo system that provides control for music
playback over a local network. It is also makes a great desktop music player,
especially if your a console junkie, like frontend options, or restart X often.
This plf version of MPD add AAC files support by using libfaad2_0.

%else
%description
Music Player Daemon (MPD) allows remote access for playing music (MP3, Ogg
Vorbis, FLAC, Mod, and wave files) and managing playlists. MPD is designed
for integrating a computer into a stereo system that provides control for music
playback over a local network. It is also makes a great desktop music player,
especially if your a console junkie, like frontend options, or restart X often.
%endif

%prep
%setup -q

%build
%if %build_plf
%configure
%else
%configure --disable-aac
%endif
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -rf $RPM_BUILD_ROOT/%{_docdir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README UPGRADING doc/COMMANDS AUTHORS COPYING ChangeLog doc/mpdconf.example
%{_bindir}/%name
%{_mandir}/man1/*

%changelog
* Sun Aug 09 2004 Cedric Devillers <brancaleone@altern.org> 0.11.4-2mdk
- Don't use internal libmad and libid3tag anymore (new BuildRequires added)

* Sat Aug 07 2004 Cedric Devillers <brancaleone@altern.org> 0.11.4-1mdk
- Initial package
- Add plf swith because AAC support need libfaad (wich is in plf)
